import 'package:i18n_extension/i18n_extension.dart';

extension SettingsLocalization on String {
  static final _t = Translations.byLocale("hu_hu") +
      {
        "en_en": {
          "even_more_cheaper": "More reFilc, cheaper\nthan anything else!",
          "support_1": "Support QwIT",
          "support_2": " and get useful features in return!",
          "tier_rfp": "More customisation, more accounts, easier notes.",
          "tier_rfpgold":
              "Get access to more features and make your day better and simpler.",
          "faq": "FAQ",
          "money": "What will you spend my money on?",
          "m_1":
              "We will spend the money from our supporters on the \$100 fee of the Apple",
          "m_2":
              " Developer Program, our servers, and the reFilc domains. The remaining money will be spent on other development stuff, and pizza parties.",
          "open": "Will reFilc stay open-source?",
          "o_1":
              "Yes, reFilc is, and always will be, open-source. Subscribers can ask for the source code of reFilc+ on our Discord server.",
          "desc": "Explanations",
          "cheaper":
              "The lowest tier of service is cheaper than most known subscriptions, but there may be exceptions.",
          "qwit":
              "\"QwIT\" is an abbreviation of \"QwIT Development\", the development team behind reFilc and other projects.",
          "apple": "\"Apple\" is a trademark of Apple Inc.",
          "eur":
              "Prices are displayed in euros, which means it's dependant on the exchange rate. 1 EUR ≈ 390 HUF",
          "active": "Active",
          // benefits
          "rfp_1": "Early access to updates",
          "rfp_2": "Use two accounts simaltaneously",
          "rfp_3": "Custom welcome message",
          "rfp_4": "Unlimited custom notes and tasks on the Notebook page",
          "rfp_5": "Custom grade rarities",
          "rfp_6": "Overall average calculator",
          "rfp_7": "Timetable notes",
          "rfp_8": "Custom font types",
          "rfp_9": "Unlimited accounts",
          "rfp_10": "Custom app icon (from v5.1)",
          "rfp_11": "Change Live Activity color",
          "rfp_12": "Better goal planner",
          "rfp_13": "Import your timetable into your calendar app",
          "rfp_14": "Discount in reFilc Shop (soon)",
          "rfp_15": "Subscriber role in our Discord community",
          "rfp_16": "Private leaks and informations about upcoming features",
          "rfp_17": "Grade exporting",
          "rfp_18": "Viewing exported grades",
          // docs and payment method popup
          "docs": "Documents",
          "docs_acceptance":
              "By pressing the \"Next\" button, you accept reFilc's Terms and Conditions for subscriptions (available at the following link: filc.one/pay-terms) and our Privacy Policy (available at the following link: filc.one/pay-privacy).",
          "next": "Next",
          "payment_method": "Payment Method",
          "select_payment_method":
              "Please select a preferred payment method! Credit card payments are handled by Stripe, which also supports Apple Pay, Google Pay and Revolut Pay.",
          "stripe": "Credit Card",
          "paypal": "PayPal",
          // other
          "and": " and ",
          "every": "Every ",
          "benefit": " benefit",
          "show_lifetime": "Show Lifetime Plans",
          "more_soon": "More coming soon...",
          "faq_dc":
              "To redeem your Discord-related benefits, contact us on Discord in DMs!",
          "reactivate": "Reactivate Existing Subscription",
        },
        "hu_hu": {
          "even_more_cheaper": "Még több reFilc, olcsóbban,\nmint bármi más!",
          "support_1": "Támogasd a QwIT",
          "support_2": " csapatát, és szerezz cserébe pár kényelmes jutalmat!",
          "tier_rfp":
              "Több személyre szabás, több fiók, egyszerű feladatfeljegyzés.",
          "tier_rfpgold":
              "Férj hozzá még több funkcióhoz és tedd egyszerűbbé mindennapjaid.",
          "faq": "Gyakori kérdések",
          "money": "Mire költitek a pénzt?",
          "m_1": "A támogatásokból kapott pénz elsősorban az Apple",
          "m_2":
              " Developer Program évi \$100-os díját, valamint az API mögött álló szerverek és a reFilc domain címek árát fedezi, a maradékot egyéb fejlesztésekre, fejlesztői fagyizásra fordítjuk.",
          "open": "Még mindig nyílt a forráskód?",
          "o_1":
              "Igen, a reFilc teljesen nyílt forráskódú, és ez így is fog maradni. A reFilc+ funkcióinak forráskódjához bármely támogatónk hozzáférhet, ha ezt Discord-on kérelmezi.",
          "desc": "Magyarázatok",
          "cheaper":
              "A szolgáltatás legalacsonyabb szintje olcsóbb a legtöbb ismert előfizetésnél, viszont előfordulhatnak kivételek.",
          "qwit":
              "A \"QwIT\" a \"QwIT Development\" rövid neve, ez a fejlesztői csapat neve, mely a reFilc és egyéb projektek mögött áll.",
          "apple": "Az \"Apple\" az Apple Inc. védjegye.",
          "eur":
              "Az árak euróban vannak feltüntetve, így az árfolyam befolyásolja, hogy mennyit kell fizetned a szolgáltatásért. 1 EUR ≈ 390 Ft",
          "active": "Aktív",
          // benefits
          "rfp_1": "Előzetes hozzáférés új verziókhoz",
          "rfp_2": "2 fiók használata egyszerre",
          "rfp_3": "Egyedi üdvözlő üzenet",
          "rfp_4": "Korlátlan saját jegyzet és feladat a füzet oldalon",
          "rfp_5": "Egyedi jegy ritkaságok",
          "rfp_6": "Összesített átlagszámoló",
          "rfp_7": "Órarend jegyzetek",
          "rfp_8": "Egyedi betütípusok",
          "rfp_9": "Korlátlan fiók használata egyszerre",
          "rfp_10": "Alkalmazás ikonjának megváltoztatása (v5.1-től)",
          "rfp_11": "Live Activity szín",
          "rfp_12": "Fejlettebb cél kitűzés",
          "rfp_13": "Naptár szinkronizálás",
          "rfp_14": "Kedvezmény a reFilc Shop-ban (hamarosan)",
          "rfp_15": "Előfizetői rang a Discord szerverünkön",
          "rfp_16": "Privát betekintések és információk közelgő újításokról",
          "rfp_17": "Jegy exportálás",
          "rfp_18": "Exportált jegyek megtekintése",
          // docs and payment method popup
          "docs": "Dokumentumok",
          "docs_acceptance":
              "A \"Tovább\" gombra kattintva elfogadod a reFilc előfizetésekkel kapcsolatos Általános Szerződési Feltételeit (elérhető az alábbi link-en: filc.one/pay-terms), valamint Adatkezelési Tájékoztatónkat (elérhető az alábbi link-en: filc.one/pay-privacy).",
          "next": "Tovább",
          "payment_method": "Fizetési mód",
          "select_payment_method":
              "Kérlek válassz egy fizetési módot! A bankkártyás fizetést a Stripe biztosítja, mely támogat Apple Pay-t, Google Pay-t és Revolut Pay-t is.",
          "stripe": "Bankkártya",
          "paypal": "PayPal",
          // other
          "and": " és ",
          "every": "Minden ",
          "benefit": " előny",
          "show_lifetime": "Örökre szóló csomagok",
          "more_soon": "Hamarosan mégtöbb finomság...",
          "faq_dc":
              "A Discord-al kapcsolatos előnyök beváltásához írj nekünk Discord-on privát üzenetet!",
          "reactivate": "Meglévő előfizetés újraaktiválása",
        },
        "de_de": {
          "even_more_cheaper": "Mehr reFilc, günstiger\nals alles andere!",
          "support_1": "Unterstütze QwIT",
          "support_2": " und du kriegst mehr nützliche Features!",
          "tier_rfp":
              "Mehr Personalisierung, mehr Profile, einfachere Notizen.",
          "tier_rfpgold":
              "Hol dir mehr Features und mach damit dein Alltag einfacher.",
          "faq": "Häufig gestellte Fragen (FAQ)",
          "money": "Was tun wir mit deinem Geld?",
          "m_1":
              "Wir verwenden das gesammelte Geld von unseren Sponsoren ausschließlich auf die \$100 Gebühr von dem Apple",
          "m_2":
              " Developer Program, unsere Server und die reFilc Domänen. Das restliche Geld wird auf andere Entwicklungsbezogene Dinge und auch Pizza Parties bezweckt.",
          "open": "Wird reFilc Open-Source bleiben?",
          "o_1":
              "Ja, reFilc ist und bleibt weiterhin ein Open-Source Projekt. Abonnenten des reFilc+ Abos können auch natürlich den Quellcode dieser Version in unserem Discord Server finden.",
          "desc": "Erklärung/Aufklärung",
          "cheaper":
              "Das günstigste Abonnement ist das beliebteste, es gibt natürlich aber auch ausnahmen.",
          "qwit":
              "\"QwIT\" ist ein Teil of \"QwIT Development\", die Entwickler hinter des Programms reFilc.",
          "apple": "\"Apple\" ist eine geschützte Marke von Apple Inc.",
          "eur":
              "Der Preis wird in Euro angegeben im Bezug zum aktuellen Wechselkurs. 1 EUR ≈ 390 HUF",
          "active": "Aktiv",
          // benefits
          "rfp_1": "Frühzeitiger Zugriff auf Updates",
          "rfp_2": "Verwendung von zwei Konten gleichzeitig",
          "rfp_3": "Individuelle Begrüßungsnachricht",
          "rfp_4":
              "Unbegrenzte eigene Notizen und Aufgaben auf der Notizbuchseite",
          "rfp_5": "Individuelle Notenraritäten",
          "rfp_6": "Gesamtdurchschnittsberechner",
          "rfp_7": "Stundenplan-Notizen",
          "rfp_8": "Individuelle Schriftarten",
          "rfp_9": "Unbegrenzte Konten",
          "rfp_10": "Anpassung des App-Symbols (ab v5.1)",
          "rfp_11": "Änderung der Live-Aktivitätsfarbe",
          "rfp_12": "Verbesserter Zielplaner",
          "rfp_13": "Importieren Sie Ihren Stundenplan in Ihre Kalender-App",
          "rfp_14": "Rabatt im reFilc Shop (bald)",
          "rfp_15": "Abonnentenrolle in unserer Discord-Community",
          "rfp_16": "Private Leaks und Informationen über kommende Funktionen",
          "rfp_17": "Notenexport",
          "rfp_18": "Anzeigen exportierter Noten",
          // docs and payment method popup
          "docs": "Dokumente",
          "docs_acceptance":
              "Durch Drücken der Schaltfläche \"Weiter\" akzeptieren Sie die Allgemeinen Geschäftsbedingungen von reFilc für Abonnements (verfügbar unter folgendem Link: filc.one/pay-terms) und unsere Datenschutzrichtlinie (verfügbar unter folgendem Link: filc.one/pay-privacy).",
          "next": "Weiter",
          "payment_method": "Zahlungsmethode",
          "select_payment_method":
              "Bitte wählen Sie eine bevorzugte Zahlungsmethode aus! Kreditkartenzahlungen werden von Stripe abgewickelt, der auch Apple Pay, Google Pay und Revolut Pay unterstützt.",
          "stripe": "Kreditkarte",
          "paypal": "PayPal",
          // other
          "and": " und ",
          "every": "Jeder ",
          "benefit": " Vorteil",
          "show_lifetime": "Für immer Pakete",
          "more_soon": "Mehr folgt bald...",
          "faq_dc":
              "Um Ihre Vorteile einzulösen, schreiben Sie uns eine private Nachricht auf Discord!",
          "reactivate": "Bestehendes Abonnement reaktivieren",
        },
      };

  String get i18n => localize(this, _t);
  String fill(List<Object> params) => localizeFill(this, params);
  String plural(int value) => localizePlural(value, this, _t);
  String version(Object modifier) => localizeVersion(modifier, this, _t);
}
